API to update the status of products in a particular store
POST https://services.leadconnectorhq.com/products/store/{storeId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Path parameters
storeId
string
default:"3SwdhCu3svxI8AKsPJt6"
required
Products related to the store
Body
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Posibles valores: ‘account’
action
string
default:"include"
required
Action to include or exclude the product from the store Posibles valores: ‘include’, ‘exclude’
Respuestas
201 - Successful response
status
boolean
default:"True"
required
Status of api action
message
string
default:"Successfully created"
Success message
{
"status": true,
"message": "Successfully created"
}
422 - Unprocessable Entity
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/products/store/YOUR_storeId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"action": "include",
"productIds": [
"productId1",
"productId2"
]
}'
const response = await fetch('https://services.leadconnectorhq.com/products/store/YOUR_storeId', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "action": "include", "productIds": ["productId1", "productId2"]}),
});
const data = await response.json();
import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/products/store/YOUR_storeId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "action": "include", "productIds": ["productId1", "productId2"]},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/store/YOUR_storeId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'action': 'include', 'productIds': ['productId1', 'productId2']}),
]);
$data = json_decode(curl_exec($ch), true);